import javax.microedition.midlet.*; 
import javax.microedition.lcdui.*;
import java.io.IOException;

public class ListTestMIDlet extends MIDlet implements CommandListener { 
    private List[] lists; 
    private Command next_cmd;
    private Command exit_cmd;
    private String[] select = {"   ", " ߱  ", " ʱ  "};            
    private Display display; 
    private Image[] imageArray;
                 
    public ListTestMIDlet() { 
        lists = new List[3]; 
        next_cmd = new Command("Next", Command.SCREEN, 1);
        exit_cmd = new Command("Exit", Command.EXIT, 1);
        try {
        	Image high_game = Image.createImage("/high_game.png");
        	Image medium_game = Image.createImage("/medium_game.png");
        	Image first_game = Image.createImage("/first_game.png");
        	imageArray = new Image[]{high_game, medium_game, first_game};
        } catch (IOException e) { 
        	e.printStackTrace();
        }
        // IMPLICIT Ʈ  
        lists[0]= new List("Implicit Ʈ", List.IMPLICIT, select, imageArray); 
        lists[0].addCommand(next_cmd); 
        lists[0].addCommand(exit_cmd); 
        lists[0].setCommandListener(this);                            
        // EXCLUSIVE Ʈ 
        lists[1]= new List("Exclusive Ʈ", List.EXCLUSIVE, select, imageArray); 
        lists[1].addCommand(next_cmd); 
        lists[1].addCommand(exit_cmd); 
        lists[1].setCommandListener(this); 
        // MULTIPLE Ʈ                     
        lists[2]= new List("Multiple Ʈ", List.MULTIPLE, select, imageArray); 
        lists[2].addCommand(next_cmd); 
        lists[2].addCommand(exit_cmd); 
        lists[2].setCommandListener(this); 
        display=Display.getDisplay(this); 
    } 
    public void startApp() throws MIDletStateChangeException { 
        display.setCurrent(lists[0]); 
    } 
    public void pauseApp() {  } 
    public void destroyApp(boolean unconditional) {  } 
    public void commandAction(Command c, Displayable d) { 
        if(c==next_cmd) { 
            List list=null; 
            for(int i=0; i<3; i++) { 
                if(d==lists[i]) list=lists[(i+1)%3]; 
            } 
            display.setCurrent(list); 
        } 
        else if(c==exit_cmd) { 
            destroyApp(true); 
            notifyDestroyed(); 
        } 
    } 
} 

