import javax.microedition.lcdui.*;
import java.io.IOException;

class ClipAniThreadCanvas extends Canvas implements Runnable {
	private Image ani_img;
	private int curFrame = 0;
	private Thread thread;
	public ClipAniThreadCanvas(){		
		try {
			ani_img = Image.createImage("/animation.png");
		} catch (IOException e) { 
			e.printStackTrace();
	    }
		thread = new Thread(this);
		thread.start();
	}
	public void run() {
		while(true) {
			try {
				Thread.sleep(500);
			} catch(InterruptedException e) {
				System.out.println(e);
			}
			repaint();
		}
	}
	public void paint(Graphics g) {		
		g.setColor(0,0,0);
		g.drawRect(0, 0, getWidth(), getHeight());
		int x = getWidth()/2-33;
		int y = getHeight()/2-27;
		g.setClip(x, y, 66, 54);
		g.drawImage(ani_img, x-(66*curFrame), y, Graphics.TOP | Graphics.LEFT);	
		g.setClip(0, 0, getWidth(), getHeight());
		this.curFrame++;
		if (curFrame >= 10) curFrame = 0;
	}
}